// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.CodeMetrics {
    
    
    public partial class CodeMetricsWidget {
        
        private Gtk.VBox vbox1;
        
        private Gtk.VPaned vpaned1;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TreeView treeviewMetrics;
        
        private Gtk.ScrolledWindow GtkScrolledWindow1;
        
        private Gtk.TextView textviewReport;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.CodeMetrics.CodeMetricsWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.CodeMetrics.CodeMetricsWidget";
            // Container child MonoDevelop.CodeMetrics.CodeMetricsWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.vpaned1 = new Gtk.VPaned();
            this.vpaned1.CanFocus = true;
            this.vpaned1.Name = "vpaned1";
            this.vpaned1.Position = 175;
            // Container child vpaned1.Gtk.Paned+PanedChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.treeviewMetrics = new Gtk.TreeView();
            this.treeviewMetrics.CanFocus = true;
            this.treeviewMetrics.Name = "treeviewMetrics";
            this.GtkScrolledWindow.Add(this.treeviewMetrics);
            this.vpaned1.Add(this.GtkScrolledWindow);
            Gtk.Paned.PanedChild w2 = ((Gtk.Paned.PanedChild)(this.vpaned1[this.GtkScrolledWindow]));
            w2.Resize = false;
            // Container child vpaned1.Gtk.Paned+PanedChild
            this.GtkScrolledWindow1 = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow1.Name = "GtkScrolledWindow1";
            this.GtkScrolledWindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow1.Gtk.Container+ContainerChild
            this.textviewReport = new Gtk.TextView();
            this.textviewReport.CanFocus = true;
            this.textviewReport.Name = "textviewReport";
            this.GtkScrolledWindow1.Add(this.textviewReport);
            this.vpaned1.Add(this.GtkScrolledWindow1);
            this.vbox1.Add(this.vpaned1);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox1[this.vpaned1]));
            w5.Position = 0;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
